> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all associated phone numbers

> Returns a list of all associated phone numbers for a porting order. Associated phone numbers are used for partial porting in GB to specify which phone numbers should be kept or disconnected.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-phone-numbers.yml get /porting_orders/{porting_order_id}/associated_phone_numbers
openapi: 3.1.0
info:
  title: Telnyx Porting Phone Numbers API
  version: 2.0.0
  description: API for porting phone numbers, blocks, extensions, and configurations.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{porting_order_id}/associated_phone_numbers:
    get:
      tags:
        - Porting Orders
      summary: List all associated phone numbers
      description: >-
        Returns a list of all associated phone numbers for a porting order.
        Associated phone numbers are used for partial porting in GB to specify
        which phone numbers should be kept or disconnected.
      operationId: listPortingAssociatedPhoneNumbers
      parameters:
        - name: porting_order_id
          in: path
          description: Identifies the Porting Order associated with the phone numbers
          required: true
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/porting-order_PageConsolidated'
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[phone_number], filter[action]
          schema:
            type: object
            properties:
              phone_number:
                type: string
                example: '+441234567890'
                description: >-
                  Filter results by a phone number. It should be in E.164
                  format.
              action:
                type: string
                enum:
                  - keep
                  - disconnect
                example: keep
                description: Filter results by action type
        - name: sort
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated sort parameter (deepObject style). Originally:
            sort[value]
          schema:
            type: object
            properties:
              value:
                type: string
                enum:
                  - '-created_at'
                  - created_at
                example: '-created_at'
                default: '-created_at'
                description: >-
                  Specifies the sort order for results. If not given, results
                  are sorted by created_at in descending order
      responses:
        '200':
          $ref: '#/components/responses/ListPortingAssociatedPhoneNumbers'
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          description: Unprocessable entity. Check message field in response for details.
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const portingAssociatedPhoneNumber of
            client.portingOrders.associatedPhoneNumbers.list(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            )) {
              console.log(portingAssociatedPhoneNumber.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.porting_orders.associated_phone_numbers.list(
                porting_order_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.PortingOrders.AssociatedPhoneNumbers.List(\n\t\tcontext.TODO(),\n\t\t\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n\t\ttelnyx.PortingOrderAssociatedPhoneNumberListParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.associatedphonenumbers.AssociatedPhoneNumberListPage;

            import
            com.telnyx.sdk.models.portingorders.associatedphonenumbers.AssociatedPhoneNumberListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    AssociatedPhoneNumberListPage page = client.portingOrders().associatedPhoneNumbers().list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            page =
            telnyx.porting_orders.associated_phone_numbers.list("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->portingOrders->associatedPhoneNumbers->list(
                '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
                filter: ['action' => 'keep', 'phoneNumber' => '+441234567890'],
                pageNumber: 0,
                pageSize: 0,
                sort: ['value' => '-created_at'],
              );

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx porting-orders:associated-phone-numbers list \
              --api-key 'My API Key' \
              --porting-order-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    porting-order_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[size],
        page[number]
      schema:
        type: object
        properties:
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListPortingAssociatedPhoneNumbers:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingAssociatedPhoneNumber'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PortingAssociatedPhoneNumber:
      type: object
      properties:
        id:
          description: Uniquely identifies this associated phone number.
          type: string
          format: uuid
          example: f24151b6-3389-41d3-8747-7dd8c681e5e2
          readOnly: true
        porting_order_id:
          description: Identifies the porting order associated with this phone number.
          type: string
          format: uuid
          example: a24151b6-3389-41d3-8747-7dd8c681e5e2
        country_code:
          description: >-
            Specifies the country code for this associated phone number. It is a
            two-letter ISO 3166-1 alpha-2 country code.
          type: string
          example: GB
        phone_number_type:
          description: Specifies the phone number type for this associated phone number.
          type: string
          example: local
          enum:
            - landline
            - local
            - mobile
            - national
            - shared_cost
            - toll_free
        phone_number_range:
          description: Specifies the phone number range for this associated phone number.
          type: object
          properties:
            start_at:
              description: >-
                Specifies the start of the phone number range for this
                associated phone number.
              type: string
              pattern: ^\+\d{7,15}$
              example: '+441234567890'
            end_at:
              description: >-
                Specifies the end of the phone number range for this associated
                phone number.
              type: string
              pattern: ^\+\d{7,15}$
              example: '+441234567899'
        action:
          description: >-
            Specifies the action to take with this phone number during partial
            porting.
          type: string
          enum:
            - keep
            - disconnect
          example: keep
        record_type:
          type: string
          example: porting_associated_phone_number
          description: Identifies the type of the resource.
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating when the resource was last
            updated.
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````